List Material Variations

Returns all variations for a given material, paginated.

Requires scope: materials:read

Authentication

API_KEYstring
API Key authentication via header

Path parameters

materialIdUUIDRequired
Material ID.

Query parameters

pageintegerOptional

Zero-based page index. Defaults to 0.

sizeintegerOptional

Items per page. Defaults to 20, maximum 100.

sortstringOptional
Sort by `field,direction` (Spring Pageable format; direction `asc` or `desc`, default `asc`). Allowed fields: id, name, description, costForClient, costForBusiness, defaultLowAmount, defaultCriticalAmount, active, createdAt, updatedAt. Default order (when no sort is supplied): unspecified (no guaranteed order unless a sort is supplied).

Response

This endpoint returns an object.
datalist of objects
paginationobject
Pagination metadata returned on all list endpoints.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error